MetricSetControllerAddContextualMeasure Method |
POST /MetricSet/AddContextualMeasure/{id}
Adds a contextual measure to the metric set.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("AddContextualMeasure")]
public HttpResponseMessage AddContextualMeasure(
Guid id,
[FromBodyAttribute] AddDynamicMeasureOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("AddContextualMeasure")>
Public Function AddContextualMeasure (
id As Guid,
<FromBodyAttribute> options As AddDynamicMeasureOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"AddContextualMeasure")]
HttpResponseMessage^ AddContextualMeasure(
Guid id,
[FromBodyAttribute] AddDynamicMeasureOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("AddContextualMeasure")>]
member AddContextualMeasure :
id : Guid *
[<FromBodyAttribute>] options : AddDynamicMeasureOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the metric set to add the contextual measure to. - options
- Type: Dundas.BI.WebApi.ModelsAddDynamicMeasureOptions
The options for adding the contextual measure. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also